Subject: bug#24790: Segmentation fault when changing default font on master

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Oct 2016 22:42:54 +0300

> Cc: [email-masked]
> From: Clément Pit--Claudel <[email-masked]>
> Date: Tue, 25 Oct 2016 15:27:45 -0400
> 
> >> My Emacs has patch af1a69f4d17a482c359d98c00ef86fac835b5fac reverted.  Could this make a difference?
> > 
> > With such a simple reproducer, it's much easier to re-apply the patch
> > and see if it makes the difference than answer your question by just
> > looking at your data.
> 
> Indeed, and it seems that my reversing this patch is what caused the issue (IOW, I can't crash Emacs any more after re-applying the patch).

So this report can be closed?

> > Why do you still have that commit reverted, btw?  I thought the
> > problem caused by it is nowadays solved: you have a variable to avoid
> > it.
> 
> I never heard about that variable :) Which one is it?

inhibit-compacting-font-caches, see NEWS on the emacs-25 branch.